ESB-2018.2952 - ALERT [Win][Mac] Adobe Acrobat and Reader: Multiple vulnerabilities 2018-10-02

Printable version
PGP/GPG verifiable version

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

===========================================================================
             AUSCERT External Security Bulletin Redistribution

                               ESB-2018.2952
        Security bulletin for Adobe Acrobat and Reader | APSB18-30
                              2 October 2018

===========================================================================

        AusCERT Security Bulletin Summary
        ---------------------------------

Product:           Adobe Acrobat
                   Adobe Reader
Publisher:         Adobe
Operating System:  Windows
                   Mac OS
Impact/Access:     Execute Arbitrary Code/Commands -- Remote with User Interaction
                   Denial of Service               -- Remote with User Interaction
                   Access Confidential Data        -- Remote with User Interaction
                   Increased Privileges            -- Existing Account            
                   Reduced Security                -- Unknown/Unspecified         
Resolution:        Patch/Upgrade
CVE Names:         CVE-2018-15968 CVE-2018-15966 CVE-2018-15956
                   CVE-2018-15955 CVE-2018-15954 CVE-2018-15953
                   CVE-2018-15952 CVE-2018-15951 CVE-2018-15950
                   CVE-2018-15949 CVE-2018-15948 CVE-2018-15947
                   CVE-2018-15946 CVE-2018-15945 CVE-2018-15944
                   CVE-2018-15943 CVE-2018-15942 CVE-2018-15941
                   CVE-2018-15940 CVE-2018-15939 CVE-2018-15938
                   CVE-2018-15937 CVE-2018-15936 CVE-2018-15935
                   CVE-2018-15934 CVE-2018-15933 CVE-2018-15932
                   CVE-2018-15931 CVE-2018-15930 CVE-2018-15929
                   CVE-2018-15928 CVE-2018-15927 CVE-2018-15926
                   CVE-2018-15925 CVE-2018-15924 CVE-2018-15923
                   CVE-2018-15922 CVE-2018-15920 CVE-2018-12881
                   CVE-2018-12880 CVE-2018-12879 CVE-2018-12878
                   CVE-2018-12877 CVE-2018-12876 CVE-2018-12875
                   CVE-2018-12874 CVE-2018-12873 CVE-2018-12872
                   CVE-2018-12871 CVE-2018-12870 CVE-2018-12869
                   CVE-2018-12868 CVE-2018-12867 CVE-2018-12866
                   CVE-2018-12865 CVE-2018-12864 CVE-2018-12863
                   CVE-2018-12862 CVE-2018-12861 CVE-2018-12860
                   CVE-2018-12859 CVE-2018-12858 CVE-2018-12857
                   CVE-2018-12856 CVE-2018-12855 CVE-2018-12853
                   CVE-2018-12852 CVE-2018-12851 CVE-2018-12847
                   CVE-2018-12846 CVE-2018-12845 CVE-2018-12844
                   CVE-2018-12843 CVE-2018-12842 CVE-2018-12841
                   CVE-2018-12839 CVE-2018-12838 CVE-2018-12837
                   CVE-2018-12836 CVE-2018-12835 CVE-2018-12834
                   CVE-2018-12833 CVE-2018-12832 CVE-2018-12831
                   CVE-2018-12769 CVE-2018-12759 

Original Bulletin: 
   https://helpx.adobe.com/security/products/acrobat/apsb18-30.html

- --------------------------BEGIN INCLUDED TEXT--------------------

Security bulletin for Adobe Acrobat and Reader | APSB18-30

+------------------------+----------------------------------+-----------------+
|      Bulletin ID       |          Date Published          |    Priority     |
+------------------------+----------------------------------+-----------------+
|APSB18-30               |October 01, 2018                  |2                |
+------------------------+----------------------------------+-----------------+

Summary

Adobe has released security updates for Adobe Acrobat and Reader for Windows
and MacOS. These updates address critical and important vulnerabilities. 
Successful exploitation could lead to arbitrary code execution in the context
of the current user.

Affected Versions

+--------------+----------+--------------------------+------------+-----------+
|    Product   |  Track   |    Affected Versions     |  Platform  | Priority  |
|              |          |                          |            |  rating   |
+--------------+----------+--------------------------+------------+-----------+
|Acrobat DC    |Continuous|2018.011.20063 and earlier|Windows and |2          |
|              |          |versions                  |macOS       |           |
+--------------+----------+--------------------------+------------+-----------+
|Acrobat Reader|Continuous|2018.011.20063 and earlier|Windows and |2          |
|DC            |          |versions                  |macOS       |           |
+--------------+----------+--------------------------+------------+-----------+
|              |          |                          |            |           |
+--------------+----------+--------------------------+------------+-----------+
|Acrobat 2017  |Classic   |2017.011.30102 and earlier|Windows and |2          |
|              |2017      |versions                  |macOS       |           |
+--------------+----------+--------------------------+------------+-----------+
|Acrobat Reader|Classic   |2017.011.30102 and earlier|Windows and |2          |
|2017          |2017      |versions                  |macOS       |           |
+--------------+----------+--------------------------+------------+-----------+
|              |          |                          |            |           |
+--------------+----------+--------------------------+------------+-----------+
|Acrobat DC    |Classic   |2015.006.30452 and earlier|Windows and |2          |
|              |2015      |versions                  |macOS       |           |
+--------------+----------+--------------------------+------------+-----------+
|Acrobat Reader|Classic   |2015.006.30452 and earlier|Windows and |2          |
|DC            |2015      |versions                  |macOS       |           |
+--------------+----------+--------------------------+------------+-----------+

For questions regarding Acrobat DC, please visit the Acrobat DC FAQ page. 

For questions regarding Acrobat Reader DC, please visit the Acrobat Reader DC
FAQ page.

Solution

Adobe recommends users update their software installations to the latest
versions by following the instructions below.
The latest product versions are available to end users via one of the following
methods:

  o Users can update their product installations manually by choosing Help >
    Check for Updates.
  o The products will update automatically, without requiring user
    intervention, when updates are detected.
  o The full Acrobat Reader installer can be downloaded from the Acrobat Reader
    Download Center.

For IT administrators (managed environments):

  o Download the enterprise installers from ftp://ftp.adobe.com/pub/adobe/, or
    refer to the specific release note version for links to installers.
  o Install updates via your preferred methodology, such as AIP-GPO,
    bootstrapper, SCUP/SCCM (Windows), or on macOS, Apple Remote Desktop and
    SSH.

Adobe categorizes these updates with the following priority ratings and
recommends users update their installation to the newest version:

+---------------+----------+--------------+-----------+----------+------------+
|    Product    |  Track   |   Updated    | Platform  | Priority |Availability|
|               |          |   Versions   |           |  Rating  |            |
+---------------+----------+--------------+-----------+----------+------------+
|Acrobat DC     |Continuous|2019.008.20071|Windows and|2         |Windows     |
|               |          |              |macOS      |          |macOS       |
+---------------+----------+--------------+-----------+----------+------------+
|Acrobat Reader |Continuous|2019.008.20071|Windows    |2         |Windows     |
|DC             |          |              |and macOS  |          |macOS       |
+---------------+----------+--------------+-----------+----------+------------+
|               |          |              |           |          |            |
+---------------+----------+--------------+-----------+----------+------------+
|Acrobat 2017   |Classic   |2017.011.30105|Windows    |2         |Windows     |
|               |2017      |              |and macOS  |          |macOS       |
+---------------+----------+--------------+-----------+----------+------------+
|Acrobat Reader |Classic   |2017.011.30105|Windows    |2         |Windows     |
|DC 2017        |2017      |              |and macOS  |          |macOS       |
+---------------+----------+--------------+-----------+----------+------------+
|               |          |              |           |          |            |
+---------------+----------+--------------+-----------+----------+------------+
|Acrobat DC     |Classic   |2015.006.30456|Windows    |2         |Windows     |
|               |2015      |              |and macOS  |          |macOS       |
+---------------+----------+--------------+-----------+----------+------------+
|Acrobat Reader |Classic   |2015.006.30456|Windows    |2         |Windows     |
|DC             |2015      |              |and macOS  |          |macOS       |
+---------------+----------+--------------+-----------+----------+------------+

Note:

As noted in this previous announcement, support for Adobe Acrobat 11.x and
Adobe Reader 11.x ended on October 15, 2017.  Version 11.0.23 is the final
release for Adobe Acrobat 11.x and Adobe Reader 11.x.  Adobe strongly
recommends that you update to the latest versions of Adobe Acrobat DC and Adobe
Acrobat Reader DC. By updating installations to the latest versions, you
benefit from the latest functional enhancements and improved security measures.

Vulnerability Details

+-----------------------+-------------------+------------+-------------------+
| Vulnerability Category|   Vulnerability   |  Severity  |    CVE Number     |
|                       |      Impact       |            |                   |
+-----------------------+-------------------+------------+-------------------+
|                       |                   |            |CVE-2018-15955,    |
|                       |                   |            |                   |
|                       |                   |            |CVE-2018-15954,    |
|                       |                   |            |                   |
|                       |                   |            |CVE-2018-15952,    |
|                       |                   |            |                   |
|                       |                   |            |CVE-2018-15945,    |
|                       |                   |            |                   |
|                       |                   |            |CVE-2018-15944,    |
|                       |                   |            |                   |
|                       |                   |            |CVE-2018-15941,    |
|                       |                   |            |                   |
|                       |                   |            |CVE-2018-15940,    |
|                       |                   |            |                   |
|                       |                   |            |CVE-2018-15939,    |
|                       |                   |            |                   |
|                       |                   |            |CVE-2018-15938,    |
|                       |                   |            |                   |
|                       |                   |            |CVE-2018-15936,    |
|                       |                   |            |                   |
|                       |Arbitrary Code     |            |CVE-2018-15935,    |
|Out-of-bounds write    |Execution          |Critical    |                   |
|                       |                   |            |CVE-2018-15934,    |
|                       |                   |            |                   |
|                       |                   |            |CVE-2018-15933,    |
|                       |                   |            |                   |
|                       |                   |            |CVE-2018-15929,    |
|                       |                   |            |                   |
|                       |                   |            |CVE-2018-15928,    |
|                       |                   |            |                   |
|                       |                   |            |CVE-2018-12868,    |
|                       |                   |            |                   |
|                       |                   |            |CVE-2018-12865,    |
|                       |                   |            |                   |
|                       |                   |            |CVE-2018-12864,    |
|                       |                   |            |                   |
|                       |                   |            |CVE-2018-12862,    |
|                       |                   |            |                   |
|                       |                   |            |CVE-2018-12861,    |
|                       |                   |            |                   |
|                       |                   |            |CVE-2018-12860,    |
|                       |                   |            |                   |
|                       |                   |            |CVE-2018-12759     |
+-----------------------+-------------------+------------+-------------------+
|                       |                   |            |CVE-2018-15956,    |
|                       |                   |            |                   |
|                       |                   |            |CVE-2018-15953,    |
|                       |                   |            |                   |
|                       |                   |            |CVE-2018-15950,    |
|                       |                   |            |                   |
|                       |                   |            |CVE-2018-15949,    |
|                       |                   |            |                   |
|                       |                   |            |CVE-2018-15948,    |
|                       |                   |            |                   |
|                       |                   |            |CVE-2018-15947,    |
|                       |                   |            |                   |
|                       |                   |            |CVE-2018-15946,    |
|                       |                   |            |                   |
|                       |                   |            |CVE-2018-15943,    |
|                       |                   |            |                   |
|                       |                   |            |CVE-2018-15942,    |
|                       |                   |            |                   |
|                       |                   |            |CVE-2018-15932,    |
|                       |                   |            |                   |
|                       |                   |            |CVE-2018-15927,    |
|                       |                   |            |                   |
|                       |                   |            |CVE-2018-15926,    |
|                       |                   |            |                   |
|                       |                   |            |CVE-2018-15925,    |
|                       |                   |            |                   |
|                       |                   |            |CVE-2018-15923,    |
|                       |                   |            |                   |
|                       |                   |            |CVE-2018-15922,    |
|                       |                   |            |                   |
|                       |                   |            |CVE-2018-12880,    |
|                       |                   |            |                   |
|                       |                   |            |CVE-2018-12879,    |
|                       |                   |            |                   |
|                       |Information        |            |CVE-2018-12878,    |
|Out-of-bounds read     |Disclosure         |Important   |                   |
|                       |                   |            |CVE-2018-12875,    |
|                       |                   |            |                   |
|                       |                   |            |CVE-2018-12874,    |
|                       |                   |            |                   |
|                       |                   |            |CVE-2018-12873,    |
|                       |                   |            |                   |
|                       |                   |            |CVE-2018-12872,    |
|                       |                   |            |                   |
|                       |                   |            |CVE-2018-12871,    |
|                       |                   |            |                   |
|                       |                   |            |CVE-2018-12870,    |
|                       |                   |            |                   |
|                       |                   |            |CVE-2018-12869,    |
|                       |                   |            |                   |
|                       |                   |            |CVE-2018-12867,    |
|                       |                   |            |                   |
|                       |                   |            |CVE-2018-12866,    |
|                       |                   |            |                   |
|                       |                   |            |CVE-2018-12859,    |
|                       |                   |            |                   |
|                       |                   |            |CVE-2018-12857,    |
|                       |                   |            |                   |
|                       |                   |            |CVE-2018-12856,    |
|                       |                   |            |                   |
|                       |                   |            |CVE-2018-12845,    |
|                       |                   |            |                   |
|                       |                   |            |CVE-2018-12844,    |
|                       |                   |            |                   |
|                       |                   |            |CVE-2018-12843,    |
|                       |                   |            |                   |
|                       |                   |            |CVE-2018-12839,    |
|                       |                   |            |                   |
|                       |                   |            |CVE-2018-12834,    |
|                       |                   |            |                   |
|                       |                   |            |CVE-2018-15968     |
+-----------------------+-------------------+------------+-------------------+
|Heap Overflow          |Arbitrary Code     |Critical    |CVE-2018-12851,    |
|                       |Execution          |            |                   |
|                       |                   |            |CVE-2018-12847,    |
|                       |                   |            |                   |
|                       |                   |            |CVE-2018-12846,    |
|                       |                   |            |                   |
|                       |                   |            |CVE-2018-12837,    |
|                       |                   |            |                   |
|                       |                   |            |CVE-2018-12836,    |
|                       |                   |            |                   |
|                       |                   |            |CVE-2018-12833,    |
|                       |                   |            |                   |
|                       |                   |            |CVE-2018-12832     |
+-----------------------+-------------------+------------+-------------------+
|                       |Arbitrary Code     |Critical    |CVE-2018-15924,    |
|                       |Execution          |            |                   |
|                       |                   |            |CVE-2018-15920,    |
|                       |                   |            |                   |
|                       |                   |            |CVE-2018-12877,    |
|                       |                   |            |                   |
|Use After Free         |                   |            |CVE-2018-12863,    |
|                       |                   |            |                   |
|                       |                   |            |CVE-2018-12852,    |
|                       |                   |            |                   |
|                       |                   |            |CVE-2018-12831,    |
|                       |                   |            |                   |
|                       |                   |            |CVE-2018-12769     |
+-----------------------+-------------------+------------+-------------------+
|                       |Arbitrary Code     |Critical    |CVE-2018-12876,    |
|                       |Execution          |            |                   |
|Type Confusion         |                   |            |CVE-2018-12858,    |
|                       |                   |            |                   |
|                       |                   |            |CVE-2018-12835     |
+-----------------------+-------------------+------------+-------------------+
|Stack Overflow         |Information        |Important   |CVE-2018-12838     |
|                       |Disclosure         |            |                   |
+-----------------------+-------------------+------------+-------------------+
|Double Free            |Arbitrary Code     |Critical    |                   |
|                       |Execution          |            |CVE-2018-12841     |
|                       |                   |            |                   |
+-----------------------+-------------------+------------+-------------------+
|Integer Overflow       |Information        |Important   |CVE-2018-12881,    |
|                       |Disclosure         |            |                   |
|                       |                   |            |CVE-2018-12842     |
+-----------------------+-------------------+------------+-------------------+
|Buffer Errors          |Arbitrary Code     |Critical    |CVE-2018-15951,    |
|                       |Execution          |            |                   |
|                       |                   |            |CVE-2018-12855,    |
|                       |                   |            |                   |
|                       |                   |            |CVE-2018-12853     |
+-----------------------+-------------------+------------+-------------------+
|Untrusted pointer      |Arbitrary Code     |Critical    |CVE-2018-15937,    |
|dereference            |Execution          |            |                   |
|                       |                   |            |CVE-2018-15931,    |
|                       |                   |            |                   |
|                       |                   |            |CVE-2018-15930     |
+-----------------------+-------------------+------------+-------------------+
|Security Bypass        |Privilege          |Critical    |CVE-2018-15966     |
|                       |Escalation         |            |                   |
+-----------------------+-------------------+------------+-------------------+

Acknowledgements

Adobe would like to thank the following individuals and organizations for
reporting the relevant issues and for working with Adobe to help protect our
customers:

  o Anonymous via Trend Micro's Zero Day Initiative (CVE-2018-12851)
  o Zhiyuan Wang from Chengdu Security Response Center of Qihoo 360 Technology
    Co. Ltd. (CVE-2018-12841, CVE-2018-12838, CVE-2018-12833)
  o willJ working with Trend Micro's Zero Day Initiative (CVE-2018-12856,
    CVE-2018-12855)
  o Sebastian Apelt siberas working with Trend Micro's Zero Day Initiative
    (CVE-2018-12858)
  o Lin Wang of Beihang University working with Trend Micro's Zero Day
    Initiative (CVE-2018-12876, CVE-2018-12868)
  o Esteban Ruiz (mr_me) of Source Incite working with Trend Micro's Zero Day
    Initiative (CVE-2018-12879, CVE-2018-12877)
  o Kamlapati Choubey via Trend Micro's Zero Day Initiative (CVE-2018-15948,
    CVE-2018-15946, CVE-2018-12842)
  o Ron Waisberg via Trend Micro's Zero Day Initiative (CVE-2018-15950,
    CVE-2018-15949, CVE-2018-15947)
  o Aleksandar Nikolic of Cisco Talos.(CVE-2018-12852)
  o Guy Inbar (guyio) (CVE-2018-12853)
  o Lin Wang of Beihang University (CVE-2018-15951, CVE-2018-12881,
    CVE-2018-12880, CVE-2018-12845, CVE-2018-12844, CVE-2018-12843,
    CVE-2018-12759)
  o Gal De Leon of Palo Alto Networks (CVE-2018-15920, CVE-2018-12846,
    CVE-2018-12836, CVE-2018-12832, CVE-2018-12769)
  o Zhenjie Jia of Qihoo 360 Vulcan Team (CVE-2018-12831)
  o Hui Gao of Palo Alto Networks and Heige (a.k.a. SuperHei) from Knownsec 404
    Security Team (CVE-2018-15925, CVE-2018-15924)
  o Bo Qu and Zhibin Zhang of Palo Alto Networks (CVE-2018-15923,
    CVE-2018-15922)
  o Esteban Ruiz (mr_me) of Source Incite working with iDefense Labs
    (CVE-2018-12835)
  o Ashfaq Ansari - Project Srishti working with iDefense Labs (CVE-2018-15968)
  o Omri Herscovici via Vulnerability Research Check Point Software
    Technologies Ltd. (CVE-2018-15956, CVE-2018-15955,
    CVE-2018-15954,CVE-2018-15953, CVE-2018-15952, CVE-2018-15938,
    CVE-2018-15937, CVE-2018-15936, CVE-2018-15935, CVE-2018-15934,
    CVE-2018-15933, CVE-2018-15932 , CVE-2018-15931, CVE-2018-15930 ,
    CVE-2018-15929, CVE-2018-15928, CVE-2018-15927, CVE-2018-12875,
    CVE-2018-12874 , CVE-2018-12873, CVE-2018-12872,CVE-2018-12871,
    CVE-2018-12870, CVE-2018-12869, CVE-2018-12867 , CVE-2018-12866,
    CVE-2018-12865 , CVE-2018-12864 , CVE-2018-12863, CVE-2018-12862,
    CVE-2018-12861, CVE-2018-12860, CVE-2018-12859, CVE-2018-12857,
    CVE-2018-12839)
  o Ke Liu of Tencent Security Xuanwu Lab (CVE-2018-15945, CVE-2018-15944,
    CVE-2018-15943, CVE-2018-15942, CVE-2018-15941, CVE-2018-15940,
    CVE-2018-15939, CVE-2018-15926, CVE-2018-12878, CVE-2018-12837,
    CVE-2018-12834)
  o Benjamin Brupbacher (CVE-2018-12847)
  o Wei Wei (@Danny__Wei) of Tencent's Xuanwu Lab (CVE-2018-15966)

- --------------------------END INCLUDED TEXT--------------------

You have received this e-mail bulletin as a result of your organisation's
registration with AusCERT. The mailing list you are subscribed to is
maintained within your organisation, so if you do not wish to continue
receiving these bulletins you should contact your local IT manager. If
you do not know who that is, please send an email to auscert@auscert.org.au
and we will forward your request to the appropriate person.

NOTE: Third Party Rights
This security bulletin is provided as a service to AusCERT's members.  As
AusCERT did not write the document quoted above, AusCERT has had no control
over its content. The decision to follow or act on information or advice
contained in this security bulletin is the responsibility of each user or
organisation, and should be considered in accordance with your organisation's
site policies and procedures. AusCERT takes no responsibility for consequences
which may arise from following or acting on information or advice contained in
this security bulletin.

NOTE: This is only the original release of the security bulletin.  It may
not be updated when updates to the original are made.  If downloading at
a later date, it is recommended that the bulletin is retrieved directly
from the author's website to ensure that the information is still current.

Contact information for the authors of the original document is included
in the Security Bulletin above.  If you have any questions or need further
information, please contact them directly.

Previous advisories and external security bulletins can be retrieved from:

        https://www.auscert.org.au/bulletins/

===========================================================================
Australian Computer Emergency Response Team
The University of Queensland
Brisbane
Qld 4072

Internet Email: auscert@auscert.org.au
Facsimile:      (07) 3365 7031
Telephone:      (07) 3365 4417 (International: +61 7 3365 4417)
                AusCERT personnel answer during Queensland business hours
                which are GMT+10:00 (AEST).
                On call after hours for member emergencies only.
===========================================================================
-----BEGIN PGP SIGNATURE-----
Comment: http://www.auscert.org.au/render.html?it=1967

iQIVAwUBW7KskmaOgq3Tt24GAQhGmQ//WbtAZdETTJsGy1Vl7O3hn/eXRujhLUlM
rNrGXmGGfOns+i9k3x3tEQaL6KnLvGv8UywuOD3EtLT/ZnwuvVRElnuKFXYQXZXh
PjTqg9eY7KiUCAPmGC6OQwc+MHdcdtEOCzvv/tRG0f45xOmpxppmvu+o0z8haVQU
E3GQLoO/bKt37aC4RdOPzM14zAVechYBQOpjofu02mF2KfmanDuAIq7sNKgmMSpE
/hW9y9H+gqI2FqDPFuxYjySPLAxEQx1FvDJIWeqvvC/tk6ls5pVJxcj31iLkuayX
ITBHdkF26XsQfl3DCdtcSd7E+U20LNZgoNVWIWEgYOWqv/QomYc9ACTZsfBXLS/j
yZ4ZrWPd8rR8BA+/OnIIlCLDW+HYNZSqJnDe0uzkMqwFjZoSYLlLpYUrF5enquuD
cQWf+kshSlntVGoDfZCypWMPYP9yaDXIDcdXRXan+TTF9J+19IVzzgMFRLfMooUZ
M4rTF3Y1FpV+2E1UOfiykXpYFrzd08ucwqmusQRiA09ol9q7qmKjFC4ToFmky2oJ
iAXH2xPqcKAMmqHiHjNm9YoTaCywIurcpjSn9SSQ+EykUyrsGPUuA9x6SuECb9pG
Zc8V2+vcTUk8XY7eQa9ezCv7y1oi8ewigt+k3PzwNOcxuVQirAFK3sL/aEyPvQiu
jfqehwm0M4E=
=ICWh
-----END PGP SIGNATURE-----

« Back to bulletins